summaryrefslogtreecommitdiff
path: root/gtk2_ardour/ardour.sh.in
diff options
context:
space:
mode:
authorNils Philippsen <nils@tiptoe.de>2016-02-22 13:41:44 +0100
committerPaul Davis <paul@linuxaudiosystems.com>2016-02-22 15:12:11 -0500
commit53f1981effd149c13f452e8122bca1992792df83 (patch)
tree7c44ee6d04437bd1f4a24022dd92843dc411502d /gtk2_ardour/ardour.sh.in
parent6054d72c1bcb94618f10a40e5c820f55149de4b6 (diff)
don't trip over missing `nm` tool
Diffstat (limited to 'gtk2_ardour/ardour.sh.in')
-rw-r--r--gtk2_ardour/ardour.sh.in2
1 files changed, 1 insertions, 1 deletions
diff --git a/gtk2_ardour/ardour.sh.in b/gtk2_ardour/ardour.sh.in
index 288c51fe46..48df5a978c 100644
--- a/gtk2_ardour/ardour.sh.in
+++ b/gtk2_ardour/ardour.sh.in
@@ -25,7 +25,7 @@ fi
GLIB=$(ldd @LIBDIR@/ardour-@VERSION@ 2> /dev/null | grep glib-2.0 | sed 's/.*=> \([^ ]*\) .*/\1/')
-if [ "$GLIB" = "" ]; then
+if ! type nm >/dev/null 2>&1 || [ "$GLIB" = "" ]; then
echo "WARNING: Could not check your glib-2.0 for mutex locking atomic operations."
echo ""
elif [ $(nm -D --radix=dec --defined-only -S $GLIB | grep -w g_atomic_int_add | cut -d ' ' -f 2) -gt 32 ]; then